#import "ImageDownloaderBlockingCacheContainer.h"

@implementation ImageDownloaderBlockingCacheContainer
- (id)initWithImage:(QCGLCIImage *)image
{
	id z=[super init];
	if(z)
	{
		_image=image;
		_hits=0;
	}
	return z;
}

- (QCGLCIImage *)image
{
	++_hits;
	return _image;
}

- (unsigned long int)estimatedSize
{
	// @@@ bug:  ideally this should be the actual texture memory usage, but i can't find any way to interrogate QCGLCIImage for this..  so we settle for approximating based on image dimensions and bit depth
	return [_image pixelsWide] * [_image pixelsHigh]
			* 4 // bytes per pixel
			* 2 // fudge factor
			;
}

- (unsigned int)hits
{
	return _hits;
}
@end
